<?
$kmb = qw("SELECT * FROM nef  WHERE strana='$re1[strana]'");
while($army = mysql_fetch_array($kmb)){
$time=time();$tim=$time-$army[time];
if($tim>0){

$time=time();
$a2="Разработано месторождение нефти,ёмкостью $army[emk] ед.";
qw("INSERT INTO mess (komu,kto,data,st,tip,text) VALUES('$re1[strana]','@','$time','0','0','$a2')");
qw("UPDATE gos2 SET rab=rab+'$army[rab]',emnef='$army[emk]',datanef='$time' WHERE strana='$re1[strana]'");
qw("DELETE FROM nef WHERE id='$army[id]'");
$dt1=date("d");$dt2=date("m");$dt3=date("H");$dt4=date("i");
mysql_query("INSERT INTO logistik (vid,data,strana,text) VALUES('8','[$dt1:$dt2]($dt3:$dt4)','$re1[strana]',
'Разработано месторождение нефти,ёмкостью $army[emk] ед.')");
header("Location:game.php?der=$key");
}
}
?>